org.apache.ignite.internal.processors.cache

## Class GridCacheAdapter.UpdateGetTimeStatClosure<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheAdapter.UpdateTimeStatClosure<T>
  - - org.apache.ignite.internal.processors.cache.GridCacheAdapter.UpdateGetTimeStatClosure<T>

All Implemented Interfaces:
  Serializable, CI1<IgniteInternalFuture<T>>, IgniteInClosure<IgniteInternalFuture<T>>

Enclosing class:
  GridCacheAdapter<K,V>

    protected static class GridCacheAdapter.UpdateGetTimeStatClosure<T>
    extends GridCacheAdapter.UpdateTimeStatClosure<T>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheAdapter.UpdateTimeStatClosure

`metrics, start`

### Constructor Summary

Constructors
Constructor and Description
`UpdateGetTimeStatClosure(CacheMetricsImpl metrics, long start)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `updateTimeStat()` Updates statistics.

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheAdapter.UpdateTimeStatClosure

`apply`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpdateGetTimeStatClosure

    public UpdateGetTimeStatClosure(CacheMetricsImpl metrics,
                                    long start)

Parameters:
  `metrics` - Metrics.
  `start` - Start time.

### Method Detail

#### updateTimeStat

    protected void updateTimeStat()

Updates statistics.

Specified by:
  `updateTimeStat` in class `GridCacheAdapter.UpdateTimeStatClosure<T>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020